/* ARCHIVE */
.head-intro-archive .content {
  max-width: 50%;
  gap: 16px;
}

.archive-intro .section-content {
  gap: 32px;
}

.post-list {
  display: flex;
  flex-wrap: wrap;
  gap: 24px;
  row-gap: 32px;
}

article.news-card {
  width: calc(25% - 18px);
}

article.news-card a {
  color: var(--black);
  height: -webkit-fill-available;
  display: flex;
  flex-direction: column;
}

article.news-card time {
  color: #908b8b;
  font-size: 16px;
  text-transform: uppercase;
  font-weight: 500;
  letter-spacing: 1px;
}

.news-card-head h3 {
  font-size: 22px;

  display: -webkit-box;
  -webkit-line-clamp: 3;
  -webkit-box-orient: vertical;

  overflow: hidden;
}

article.news-card .thumbnail {
  width: -webkit-fill-available;
  border-radius: 8px;
  margin-bottom: 16px;
}

article.news-card .thumbnail img {
  height: 180px !important;
}

.news-card-head {
  margin-bottom: 8px;
}

/* FILTRI */
nav.studium-filters {
  padding-bottom: 16px;
  gap: 16px;
  display: flex;
  flex-direction: column;
  border-bottom: 1px solid var(--black);
  margin-bottom: 54px;
}

nav.studium-filters ul {
  margin: 0;
  padding: 0;
  list-style-type: none;
  gap: 8px;
}

a.standard-cta.is-active {
  background: var(--white);
  color: var(--brand-primary);
}

p.filter-block-title {
  width: fit-content;
  font-size: 22px;
  font-weight: 700;
}

.bottom-archive-intro {
  display: none;
}

/* thumbnail wrapper = mask */
.news-card .thumbnail.cut-corner-8 {
  overflow: hidden;
}

/* image fills wrapper */
.news-card .thumbnail.cut-corner-8 img {
  display: block;
  width: 100%;
  height: 100%;
  object-fit: cover;

  transform: scale(1);
  transition: transform 350ms ease;
  will-change: transform;
}

/* zoom image inside the mask */
.news-card:hover .thumbnail.cut-corner-8 img {
  transform: scale(1.08);
}

.studium-archive .standard-cta {
  background-color: var(--blue);
}

.studium-archive span.page-numbers.current svg rect {
  fill: var(--blue);
}

.archive-filter__list .standard-cta {
  padding: 4px 4px;
  font-size: 14px;
  background: transparent;
  color: var(--blue);
  font-weight: 600;
  border: none;
  transition: var(--transition);
}

.archive-filter__list .standard-cta:hover {
  text-decoration: underline;
}

.archive-filter__list .standard-cta.is-active {
  text-decoration: underline;
}

/* RESPONSIVE */
@media (max-width: 1191px) {
  .news-card-head h3 {
    font-size: 20px;
  }
}

@media (max-width: 1112px) {
}

@media (max-width: 1032px) {
  article.news-card {
    width: calc(33% - 15px);
  }

  .single-widget .post-list .news-card:last-child {
    display: none;
  }
}

@media (max-width: 860px) {
  .post-list .news-card:last-child {
    display: block;
  }

  .archive-intro .section-content {
    gap: 24px;
  }

  .single-widget .post-list {
    flex-direction: row;
    flex-wrap: nowrap;
    overflow-x: auto;
    padding: 24px 0;
  }

  .single-widget article.news-card {
    flex: 0 0 auto;
    width: calc(50% - 15px);
  }

  .head-intro-archive .standard-cta {
    display: none;
  }

  .head-intro-archive .content {
    gap: 0;
    max-width: 100%;
  }

  .bottom-archive-intro {
    display: flex;
    justify-content: end;
  }

  article.news-card .standard-cta {
    background: none;
    border: none;
    color: var(--brand-primary);
    padding: 0;
  }
}

@media (max-width: 776px) {
  .post-list .news-card:last-child {
    display: block;
  }

  .bottom-archive-intro {
    justify-content: center;
  }

  article.news-card {
    flex: 0 0 auto;
    width: calc(50% - 12px);
  }

  .single-widget article.news-card {
    flex: 0 0 auto;
    width: calc(65% - 12px);
  }

  .news-card-body p {
    display: -webkit-box;
    -webkit-line-clamp: 3; /* number of lines */
    -webkit-box-orient: vertical;
    overflow: hidden;
  }

  .news-card-head h3 {
    font-size: 18px;
    display: -webkit-box;
    -webkit-line-clamp: 3;
    -webkit-box-orient: vertical;
    overflow: hidden;
  }

  article.news-card .thumbnail img {
    height: 128px;
    object-fit: cover;
  }

  article.news-card .thumbnail {
    margin-bottom: 4px;
  }

  .post-list {
    gap: 24px;
  }

  article.news-card a {
    height: auto;
  }
}

@media (max-width: 576px) {
  article.news-card time {
    font-size: 12px;
  }

  article.news-card {
    flex: 0 0 auto;
    width: 100%;
  }

  .single-widget article.news-card {
    flex: 0 0 auto;
    width: calc(80% - 12px);
  }
}
